package com.zbf.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * agv列表对象 t_agv
 *
 * @author tony
 * @date 2024-06-17
 */
@TableName(resultMap = "com.zbf.system.mapper.TAgvMapper.TAgvResult")
public class TAgv extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** agv编号 */
    @Excel(name = "agv编号")
    private String agvId;

    /** agv IP地址 */
    @Excel(name = "agv IP地址")
    private String agvIp;

    /** agv状态 */
    @Excel(name = "agv状态")
    private String agvSts;

    /** agv异常状态 */
    @Excel(name = "agv异常状态")
    private String agvErrSts;

    /** agv速度 */
    @Excel(name = "agv速度")
    private String agvSpeed;

    /** agv 电量 */
    @Excel(name = "agv 电量")
    private String agvPower;

    /** agv 线 */
    @Excel(name = "agv 线")
    private String agvLine;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvWteLoc;

    /** agv充电 */
    @Excel(name = "agv充电")
    private String agvCharge;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvMileage;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvRunSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvLineSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvNetSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date agvLocTime;

    /** agv类型 */
    @Excel(name = "agv类型")
    private String agvType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvGo;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvTkId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvView;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvRunId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvFtupSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvUbkSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvUftSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String agvStop;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String endValAgv;

    public void setId(Long id)
            {
            this.id = id;
            }

    public Long getId()
            {
            return id;
            }
    public void setAgvId(String agvId)
            {
            this.agvId = agvId;
            }

    public String getAgvId()
            {
            return agvId;
            }
    public void setAgvIp(String agvIp)
            {
            this.agvIp = agvIp;
            }

    public String getAgvIp()
            {
            return agvIp;
            }
    public void setAgvSts(String agvSts)
            {
            this.agvSts = agvSts;
            }

    public String getAgvSts()
            {
            return agvSts;
            }
    public void setAgvErrSts(String agvErrSts)
            {
            this.agvErrSts = agvErrSts;
            }

    public String getAgvErrSts()
            {
            return agvErrSts;
            }
    public void setAgvSpeed(String agvSpeed)
            {
            this.agvSpeed = agvSpeed;
            }

    public String getAgvSpeed()
            {
            return agvSpeed;
            }
    public void setAgvPower(String agvPower)
            {
            this.agvPower = agvPower;
            }

    public String getAgvPower()
            {
            return agvPower;
            }
    public void setAgvLine(String agvLine)
            {
            this.agvLine = agvLine;
            }

    public String getAgvLine()
            {
            return agvLine;
            }
    public void setAgvWteLoc(String agvWteLoc)
            {
            this.agvWteLoc = agvWteLoc;
            }

    public String getAgvWteLoc()
            {
            return agvWteLoc;
            }
    public void setAgvCharge(String agvCharge)
            {
            this.agvCharge = agvCharge;
            }

    public String getAgvCharge()
            {
            return agvCharge;
            }
    public void setAgvMileage(String agvMileage)
            {
            this.agvMileage = agvMileage;
            }

    public String getAgvMileage()
            {
            return agvMileage;
            }
    public void setAgvRunSts(String agvRunSts)
            {
            this.agvRunSts = agvRunSts;
            }

    public String getAgvRunSts()
            {
            return agvRunSts;
            }
    public void setAgvLineSts(String agvLineSts)
            {
            this.agvLineSts = agvLineSts;
            }

    public String getAgvLineSts()
            {
            return agvLineSts;
            }
    public void setAgvNetSts(String agvNetSts)
            {
            this.agvNetSts = agvNetSts;
            }

    public String getAgvNetSts()
            {
            return agvNetSts;
            }
    public void setAgvLocTime(Date agvLocTime)
            {
            this.agvLocTime = agvLocTime;
            }

    public Date getAgvLocTime()
            {
            return agvLocTime;
            }
    public void setAgvType(String agvType)
            {
            this.agvType = agvType;
            }

    public String getAgvType()
            {
            return agvType;
            }
    public void setAgvGo(String agvGo)
            {
            this.agvGo = agvGo;
            }

    public String getAgvGo()
            {
            return agvGo;
            }
    public void setAgvTkId(String agvTkId)
            {
            this.agvTkId = agvTkId;
            }

    public String getAgvTkId()
            {
            return agvTkId;
            }
    public void setAgvView(String agvView)
            {
            this.agvView = agvView;
            }

    public String getAgvView()
            {
            return agvView;
            }
    public void setAgvRunId(String agvRunId)
            {
            this.agvRunId = agvRunId;
            }

    public String getAgvRunId()
            {
            return agvRunId;
            }
    public void setAgvFtupSts(String agvFtupSts)
            {
            this.agvFtupSts = agvFtupSts;
            }

    public String getAgvFtupSts()
            {
            return agvFtupSts;
            }
    public void setAgvUbkSts(String agvUbkSts)
            {
            this.agvUbkSts = agvUbkSts;
            }

    public String getAgvUbkSts()
            {
            return agvUbkSts;
            }
    public void setAgvUftSts(String agvUftSts)
            {
            this.agvUftSts = agvUftSts;
            }

    public String getAgvUftSts()
            {
            return agvUftSts;
            }
    public void setAgvStop(String agvStop)
            {
            this.agvStop = agvStop;
            }

    public String getAgvStop()
            {
            return agvStop;
            }
    public void setEndValAgv(String endValAgv)
            {
            this.endValAgv = endValAgv;
            }

    public String getEndValAgv()
            {
            return endValAgv;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("agvId", getAgvId())
            .append("agvIp", getAgvIp())
            .append("agvSts", getAgvSts())
            .append("agvErrSts", getAgvErrSts())
            .append("agvSpeed", getAgvSpeed())
            .append("agvPower", getAgvPower())
            .append("agvLine", getAgvLine())
            .append("agvWteLoc", getAgvWteLoc())
            .append("agvCharge", getAgvCharge())
            .append("agvMileage", getAgvMileage())
            .append("agvRunSts", getAgvRunSts())
            .append("agvLineSts", getAgvLineSts())
            .append("agvNetSts", getAgvNetSts())
            .append("agvLocTime", getAgvLocTime())
            .append("agvType", getAgvType())
            .append("agvGo", getAgvGo())
            .append("agvTkId", getAgvTkId())
            .append("agvView", getAgvView())
            .append("agvRunId", getAgvRunId())
            .append("agvFtupSts", getAgvFtupSts())
            .append("agvUbkSts", getAgvUbkSts())
            .append("agvUftSts", getAgvUftSts())
            .append("agvStop", getAgvStop())
            .append("endValAgv", getEndValAgv())
        .toString();
        }
}


















